curl --request POST \
--url https://{globale_api_domain}/Order/GetShippingDocuments \
--header 'Content-Type: application/json' \
--data '
{
"OrderId": "GE123874638GB",
"HubCode": "hub001",
"DeliveryReferenceNumber": "123756483",
"Parcels": [
{
"ParcelCode": "123454321",
"ShippingAdditionalInformation": [
{
"name": "ITNNumber",
"value": "X202487492387"
}
],
"Products": [
{
"ProductCode": "sku121212",
"DeliveryQuantity": 1
},
{
"ProductCode": "sku131313",
"DeliveryQuantity": 2
}
]
}
]
}
'import requests
url = "https://{globale_api_domain}/Order/GetShippingDocuments"
payload = {
"OrderId": "GE123874638GB",
"HubCode": "hub001",
"DeliveryReferenceNumber": "123756483",
"Parcels": [
{
"ParcelCode": "123454321",
"ShippingAdditionalInformation": [
{
"name": "ITNNumber",
"value": "X202487492387"
}
],
"Products": [
{
"ProductCode": "sku121212",
"DeliveryQuantity": 1
},
{
"ProductCode": "sku131313",
"DeliveryQuantity": 2
}
]
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
OrderId: 'GE123874638GB',
HubCode: 'hub001',
DeliveryReferenceNumber: '123756483',
Parcels: [
{
ParcelCode: '123454321',
ShippingAdditionalInformation: [{name: 'ITNNumber', value: 'X202487492387'}],
Products: [
{ProductCode: 'sku121212', DeliveryQuantity: 1},
{ProductCode: 'sku131313', DeliveryQuantity: 2}
]
}
]
})
};
fetch('https://{globale_api_domain}/Order/GetShippingDocuments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"IsSuccess": true,
"ErrorText": null,
"Documents": [
{
"DocumentTypeCode": "4",
"DocumentTypeName": "AWB",
"DocumentExtension": "zpl",
"URL": "https://assets.global-e.com/documents/478D-AA72-1EB8BBDD7C27.zpl",
"DocumentData": "JVBERi0xLjUNCiW1tbW1DQoxIDAgb2[...]mDQoxNDgzNDkNCiUlRU9G"
},
{
"DocumentTypeCode": "1",
"DocumentTypeName": "CommercialInvoiceAndPackingList",
"DocumentExtension": "pdf",
"URL": "https://assets.global-e.com/documents/AE09-FAB014DAA421.pdf",
"DocumentData": "JVBERi0xLjUNCiW1tbW1DQoxIDAgb2[...]mDQoxNDgzNDkNCiUlRU9G",
"ErrorMessage": null
}
],
"ParcelsTracking": [
{
"ParcelTrackingNumber": "9895722141",
"ParcelTrackingUrl": "https://mydhl.express.dhl/us/en/tracking.html#/results?id=9895722141",
"ParcelCode": "123454321"
}
]
}Get shipping documents
From the orders indicated as fulfilled with possible exceptions, the Global-e API will return the required shipping documentation as a base64 encoded byte array and URL for printing
Body
"eCommerce order number" as passed down in the order payload. For Shopify, should be either the Shopify Order Name (default), e.g. #12345; or the Shopify Order Number, e.g. 12345.
Show child attributes
Show child attributes
Additional informative dispatch reference.
When dispatching from multiple hubs, indicates for a given call which hub the related shipment will be dispatched from.
Response
Successful response, or a 200 carrying object-level processing errors (IsSuccess=false with the Errors array populated).
Indicates whether the API call was successful.
Description of the error for getting documents.
List of OrderDocument objects that hold the shipping documents.
Show child attributes
Show child attributes
The list of Merchant.ParcelTracking objects. Each object holds the parcel tracking number and the full tracking URL of the relevant shipper (with the parcel tracking number).
Show child attributes
Show child attributes
Order tracking information.
Show child attributes
Show child attributes
List of DeliveryAdviceInformation objects that hold the information required for the "Delivery Advice" document.
Show child attributes
Show child attributes
Object-level processing errors (returned with HTTP 200).
Show child attributes
Show child attributes

